Index: stylesheets/lfs-xsl/xhtml/lfs-sections.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-sections.xsl	(revision 5e423c80313e608e0f31fdb7a58dcb4ed7d6f8cc)
+++ stylesheets/lfs-xsl/xhtml/lfs-sections.xsl	(revision 0d80918aec7ce426ecb4da841fc4e82ff35a655b)
@@ -12,8 +12,12 @@
 
     <!-- preface:
-           Output non sect1 child elements before the TOC -->
+         Output non sect1 child elements before the TOC
+         Output title outside of the <div> because we want to be able to
+         use it at a fixed position -->
     <!-- The original template is in {docbook-xsl}/xhtml/components.xsl -->
   <xsl:template match="preface">
     <xsl:call-template name="id.warning"/>
+    <xsl:call-template name="preface.titlepage"/>
+    <xsl:call-template name="component.separator"/>
     <div>
       <xsl:apply-templates select="." mode="class.attribute"/>
@@ -27,6 +31,4 @@
         </xsl:attribute>
       </xsl:if>
-      <xsl:call-template name="component.separator"/>
-      <xsl:call-template name="preface.titlepage"/>
       <xsl:apply-templates/>
       <xsl:variable name="toc.params">
@@ -45,9 +47,40 @@
   </xsl:template>
 
+    <!-- part:
+         Output non sect1 child elements before the TOC
+         Output title outside of the <div> because we want to be able to
+         use it at a fixed position -->
+    <!-- The original template is in {docbook-xsl}/xhtml/divisions.xsl -->
+  <xsl:template match="part">
+    <xsl:call-template name="id.warning"/>
+
+    <xsl:call-template name="part.titlepage"/>
+
+    <div>
+      <xsl:apply-templates select="." mode="common.html.attributes"/>
+      <xsl:call-template name="id.attribute">
+        <xsl:with-param name="conditional" select="0"/>
+      </xsl:call-template>
+
+      <xsl:apply-templates/>
+      <xsl:variable name="toc.params">
+        <xsl:call-template name="find.path.params">
+          <xsl:with-param name="table" select="normalize-space($generate.toc)"/>
+        </xsl:call-template>
+      </xsl:variable>
+      <xsl:if test="not(partintro) and contains($toc.params, 'toc')">
+        <xsl:call-template name="division.toc"/>
+      </xsl:if>
+    </div>
+  </xsl:template>
+
     <!-- chapter:
-           Output non sect1 child elements before the TOC -->
+           Output non sect1 child elements before the TOC
+           Output title before div to be able to fix the title position -->
     <!-- The original template is in {docbook-xsl}/xhtml/components.xsl -->
   <xsl:template match="chapter">
     <xsl:call-template name="id.warning"/>
+    <xsl:call-template name="chapter.titlepage"/>
+    <xsl:call-template name="component.separator"/>
     <div>
       <xsl:apply-templates select="." mode="class.attribute"/>
@@ -61,6 +94,4 @@
         </xsl:attribute>
       </xsl:if>
-      <xsl:call-template name="component.separator"/>
-      <xsl:call-template name="chapter.titlepage"/>
       <xsl:apply-templates/>
       <xsl:variable name="toc.params">
@@ -79,10 +110,48 @@
   </xsl:template>
 
+    <!-- appendix:
+           Output non sect1 child elements before the TOC
+           Output title before div to be able to fix the title position -->
+    <!-- The original template is in {docbook-xsl}/xhtml/components.xsl -->
+  <xsl:template match="appendix">
+
+    <xsl:call-template name="id.warning"/>
+
+    <xsl:call-template name="appendix.titlepage"/>
+
+    <xsl:element name="div" namespace="http://www.w3.org/1999/xhtml">
+      <xsl:call-template name="common.html.attributes">
+        <xsl:with-param name="inherit" select="1"/>
+      </xsl:call-template>
+      <xsl:call-template name="id.attribute">
+        <xsl:with-param name="conditional" select="0"/>
+      </xsl:call-template>
+
+      <xsl:apply-templates/>
+
+      <xsl:variable name="toc.params">
+        <xsl:call-template name="find.path.params">
+          <xsl:with-param name="table" select="normalize-space($generate.toc)"/>
+        </xsl:call-template>
+      </xsl:variable>
+
+      <xsl:if test="contains($toc.params, 'toc')">
+        <xsl:call-template name="component.toc">
+          <xsl:with-param name="toc.title.p" select="contains($toc.params, 'title')"/>
+        </xsl:call-template>
+      </xsl:if>
+
+    </xsl:element>
+  </xsl:template>
+
     <!-- sect1:
            When there is a role attibute, use it as the class value.
            Process the SVN keywords found in sect1info as a footnote.
+           Output title before the containing <div> so that the title
+           can be at a fixed position.
            Removed unused code. -->
     <!-- The original template is in {docbook-xsl}/xhtml/sections.xsl -->
   <xsl:template match="sect1">
+    <xsl:call-template name="sect1.titlepage"/>
     <div>
       <xsl:choose>
@@ -97,5 +166,4 @@
       </xsl:choose>
       <xsl:call-template name="language.attribute"/>
-      <xsl:call-template name="sect1.titlepage"/>
       <xsl:apply-templates/>
       <xsl:apply-templates select="sect1info" mode="svn-keys"/>
